The Vigil@nce team watches public vulnerabilities impacting your computers, and then offers security solutions, a database and tools to fix them.
History of vulnerabilities analyzed by Vigil@nce:

threat CVE-2014-4623

EMC Avamar: vulnerability of Password Storage

Synthesis of the vulnerability

An attacker can use a brute force attack, in order to guess EMC Avamar passwords.
Severity: 3/4.
Creation date: 23/10/2014.
Revision date: 24/10/2014.
Identifiers: 193624, CVE-2014-4623, ESA-2014-094, VIGILANCE-VUL-15520.
Full Vigil@nce bulletin... (Free trial)

Description of the vulnerability

The EMC Avamar product stores hashed/encrypted passwords.

However, passwords are stored encrypted with the historic DES based method. This algorithm is weak against dictionary based attacks.

An attacker can therefore use a brute force attack, in order to guess EMC Avamar passwords.
Full Vigil@nce bulletin... (Free trial)

weakness alert CVE-2013-4701

TYPO3: multiple vulnerabilities

Synthesis of the vulnerability

An attacker can use several vulnerabilities of TYPO3.
Severity: 3/4.
Number of vulnerabilities in this bulletin: 2.
Creation date: 22/10/2014.
Identifiers: CERTFR-2014-AVI-443, CVE-2013-4701, openSUSE-SU-2016:2025-1, openSUSE-SU-2016:2114-1, TYPO3-CORE-SA-2014-002, VIGILANCE-VUL-15519.
Full Vigil@nce bulletin... (Free trial)

Description of the vulnerability

Several vulnerabilities were announced in TYPO3.

An attacker can transmit malicious XML data in a XRDS request to the embedded library OpenID, in order to read a file, scan sites, or trigger a denial of service. [severity:2/4; CVE-2013-4701]

If the embedded library Swiftmailer is configured to use sendmail and if no value is specified for the mail header "Return-Path", an attacker can make the library run arbitrary shell command via the sender address header. [severity:3/4]
Full Vigil@nce bulletin... (Free trial)

computer threat bulletin CVE-2014-8326

phpMyAdmin: Cross Site Scripting of debug and monitor functions

Synthesis of the vulnerability

An attacker can trigger a Cross Site Scripting in DatabaseInterface.class.php and server_status_monitor.js of phpMyAdmin, in order to execute JavaScript code in the context of the web site.
Severity: 1/4.
Creation date: 22/10/2014.
Identifiers: CVE-2014-8326, FEDORA-2014-13504, FEDORA-2014-13521, MDVSA-2014:208, openSUSE-SU-2014:1347-1, PMASA-2014-12, VIGILANCE-VUL-15518.
Full Vigil@nce bulletin... (Free trial)

Description of the vulnerability

The phpMyAdmin product is a web application.

However, it does not escape received data before inserting them in generated HTML documents.

An attacker can therefore trigger a Cross Site Scripting in DatabaseInterface.class.php and server_status_monitor.js of phpMyAdmin, in order to execute JavaScript code in the context of the web site.
Full Vigil@nce bulletin... (Free trial)

security announce CVE-2014-3690

Linux kernel: denial of service via KVM

Synthesis of the vulnerability

An attacker can open the control device /dev/kvm while a guest system uses the privileged register CR4, in order to trigger a denial of service.
Severity: 1/4.
Creation date: 22/10/2014.
Identifiers: CERTFR-2014-AVI-455, CERTFR-2014-AVI-459, CERTFR-2014-AVI-495, CERTFR-2015-AVI-093, CERTFR-2015-AVI-136, CERTFR-2015-AVI-189, CVE-2014-3690, DSA-3060-1, FEDORA-2014-13558, FEDORA-2014-13773, FEDORA-2014-14068, MDVSA-2014:230, MDVSA-2015:058, openSUSE-SU-2015:0566-1, RHSA-2015:0290-01, RHSA-2015:0782-01, RHSA-2015:0864-01, SOL17199, SUSE-SU-2015:0178-1, SUSE-SU-2015:0481-1, SUSE-SU-2015:0581-1, SUSE-SU-2015:0736-1, USN-2417-1, USN-2418-1, USN-2419-1, USN-2420-1, USN-2421-1, VIGILANCE-VUL-15517.
Full Vigil@nce bulletin... (Free trial)

Description of the vulnerability

The Linux kernel support the functions and instructions of Intel x86 and x86_64 processors dedicated to assisted virtualization.

When the virtualization control tool is QEMU+KVM, the special file /dev/kvm allows to send commands to the host kernel from a user process running in the host. However, when the CR4 register of the processor of the virtual machine is changed between two VM entries and /dev/kvm is opened, the host kernel enters in an invalid state and crashes.

An attacker can therefore open the control device /dev/kvm while a guest system uses the privileged register CR4, in order to trigger a denial of service.
Full Vigil@nce bulletin... (Free trial)

computer threat note CVE-2014-3711

FreeBSD: memory leak via the directory cache with Capsicum

Synthesis of the vulnerability

An attacker can create a memory leak in the directory cache of FreeBSD, in order to trigger a denial of service.
Severity: 2/4.
Creation date: 22/10/2014.
Identifiers: CVE-2014-3711, DSA-3070-1, FreeBSD-SA-14:22.namei, VIGILANCE-VUL-15516.
Full Vigil@nce bulletin... (Free trial)

Description of the vulnerability

FreeBSD manages a cache of recently accessed directories, on order to accelerate file patch resolution. Capsicum is a kernel set of functions that allow isolate processes as a sandbox.

However, when a process is sand-boxed with Capsicum and it try to access to nonexistent file paths, memory allocated to fill the directory cache is not freed in vfs_lookup.c. Such a leak leads to a kernel failure.

An attacker can therefore create a memory leak in the directory cache of FreeBSD, in order to trigger a denial of service.
Full Vigil@nce bulletin... (Free trial)

threat bulletin CVE-2014-3955

FreeBSD: denial of service via routed

Synthesis of the vulnerability

An attacker can query routed of FreeBSD using an invalid address, in order to trigger a denial of service.
Severity: 2/4.
Creation date: 22/10/2014.
Identifiers: CVE-2014-3955, FreeBSD-SA-14:21.routed, VIGILANCE-VUL-15515.
Full Vigil@nce bulletin... (Free trial)

Description of the vulnerability

The FreeBSD program routed implements the RIP routing protocol, used for small networks.

The program may also reply to direct queries. However, it wrongly assumes that the requester address is directly reachable from one of the router' interfaces. When this is wrong, an assertion exception is raised then the process terminates.

An attacker can therefore query routed of FreeBSD using an invalid address, in order to trigger a denial of service.
Full Vigil@nce bulletin... (Free trial)

vulnerability CVE-2014-3954

FreeBSD: buffer overflow of rtsold

Synthesis of the vulnerability

An attacker can generate a buffer overflow in rtsold of FreeBSD, in order to trigger a denial of service, and possibly to execute code.
Severity: 3/4.
Creation date: 22/10/2014.
Identifiers: CVE-2014-3954, FreeBSD-SA-14:20.rtsold, VIGILANCE-VUL-15514.
Full Vigil@nce bulletin... (Free trial)

Description of the vulnerability

In a IPv6 network, routeurs advertise themselves, in order to allow host autoconfiguration.

Theqse announces may include a lisdt of DNS servers, which are handled by the rtsold daemon. However, this program does not check the validity of the provided length; if the size of data is greater than the size of the stack based storage array, an overflow occurs.

An attacker can therefore generate a buffer overflow in rtsold of FreeBSD, in order to trigger a denial of service, and possibly to execute code.
Full Vigil@nce bulletin... (Free trial)

cybersecurity threat CVE-2014-6352

Windows, IE: code execution via OLE

Synthesis of the vulnerability

An attacker can broadcast specially crafted compound documents, in order to execute code, with potentially extended rights.
Severity: 4/4.
Creation date: 22/10/2014.
Revision date: 12/11/2014.
Identifiers: 3010060, 3011443, CERTFR-2014-ALE-009, CERTFR-2014-AVI-464, CVE-2014-6352, MS14-064, VIGILANCE-VUL-15513.
Full Vigil@nce bulletin... (Free trial)

Description of the vulnerability

The OLE functions of Microsoft Windows allow to mix a in document data from several applications.

However, Windows does not rightly handles some ill-formed links used by Internet Explorer, because of an incomplete fix of the vulnerability described in VIGILANCE-VUL-15476.

An attacker can therefore broadcast specially crafted compound documents, in order to execute code, with potentially extended rights.
Full Vigil@nce bulletin... (Free trial)

security weakness CVE-2014-4514

WordPress Alipay: Cross Site Scripting

Synthesis of the vulnerability

An attacker can trigger a Cross Site Scripting of WordPress Alipay, in order to execute JavaScript code in the context of the web site.
Severity: 2/4.
Creation date: 22/10/2014.
Identifiers: CVE-2014-4514, VIGILANCE-VUL-15512.
Full Vigil@nce bulletin... (Free trial)

Description of the vulnerability

The Alipay plugin can be installed on WordPress.

However, it does not filter received data before inserting them in generated HTML documents.

An attacker can therefore trigger a Cross Site Scripting of WordPress Alipay, in order to execute JavaScript code in the context of the web site.
Full Vigil@nce bulletin... (Free trial)

cybersecurity vulnerability CVE-2014-4517

WordPress CBI Referral Manager: Cross Site Scripting of searchString

Synthesis of the vulnerability

An attacker can trigger a Cross Site Scripting in searchString of WordPress CBI Referral Manager, in order to execute JavaScript code in the context of the web site.
Severity: 2/4.
Creation date: 22/10/2014.
Identifiers: CVE-2014-4517, VIGILANCE-VUL-15511.
Full Vigil@nce bulletin... (Free trial)

Description of the vulnerability

The CBI Referral Manager plugin can be installed on WordPress.

However, it does not filter received data before inserting them in generated HTML documents.

An attacker can therefore trigger a Cross Site Scripting in searchString of WordPress CBI Referral Manager, in order to execute JavaScript code in the context of the web site.
Full Vigil@nce bulletin... (Free trial)

   

Direct access to page 1 21 41 61 81 101 121 141 161 181 201 221 241 261 281 301 321 341 361 381 401 421 441 461 481 501 521 541 561 581 601 621 641 661 681 701 721 741 761 781 801 821 841 861 881 901 921 941 961 981 1001 1021 1041 1061 1081 1101 1121 1141 1161 1181 1201 1221 1241 1261 1281 1301 1321 1341 1361 1381 1401 1421 1441 1451 1452 1453 1454 1455 1456 1457 1458 1459 1461 1463 1464 1465 1466 1467 1468 1469 1470 1471 1481 1501 1521 1541 1561 1581 1601 1621 1641 1661 1681 1701 1721 1741 1761 1781 1801 1821 1841 1861 1881 1901 1921 1941 1961 1981 2001 2021 2041 2061 2081 2101 2121 2141 2161 2181 2201 2221 2241 2261 2281 2301 2321 2341 2361 2381 2401 2421 2441 2461 2481 2501 2521 2541 2561 2581 2601 2621 2641 2661 2681 2701 2721 2741 2761 2781 2801 2821 2841 2861 2881 2901 2921 2927